<style>
    .content-header {
        display: none;
    }
    .left-panel {
        background-color: #fff; /* 左侧面板的背景色 */
        height: 100vh; /* 高度占满 */
    }
    .main-panel {
        background-color: #e9ecef; /* 右侧面板的背景色 */
        height: 97vh; /* 高度占满 */
    }
    .main-panel-header {
        background-color: #fff;
    }
    .card-body {
        max-height: 100vh; /* 设置最大高度 */
        overflow-y: auto; /* 启用垂直滚动条 */
        border-radius: 4px; /* 圆角 */
    }

    #editor {

        background-color: #1e1e1e;
    }

    .submenu {
        list-style: none;
        padding-left: 3px;
    }
    .submenu .list-group-item {
        padding: 10px 0px 10px 20px;
    }
</style>


<div class="container-fluid">
    <div class="row">
        <div class="col-2 left-panel"> <!-- 左侧20% -->
            {!!$leftForm!!}
            <!-- 代码树 start-->
            <div class="card-body"></div>
            <!-- 代码树 end-->
        </div>
        <div class="col-10 main-panel"> <!-- 右侧80% -->
            <div class="main-panel-header">
                <button type="button" class="btn btn-primary btn-sm" id="save-btn">保存</button>
                <button type="button" class="btn btn-success btn-sm" data-toggle="modal" data-target="#iframeModal" style="margin-left: 10px;">变量管理</button>
            </div>
            <div class="main-panel-content" id="editor" style="width: 100%; height: 100%;"></div>
            <input type="hidden" name="template_id"  id="template_id" />
        </div>
    </div>
</div>

<!-- 变量管理弹窗 -->
<div class="modal fade" id="iframeModal" tabindex="-1" aria-labelledby="iframeModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-xl">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="iframeModalLabel">变量管理</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <iframe src="/prime-control/dist-template-var" width="100%" height="700px" frameborder="0"></iframe>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">关闭</button>
            </div>
        </div>
    </div>
</div>

<script src="/vendor/ace/ace.js" type="text/javascript"></script>
<script>
    // 创建 Ace 编辑器实例
    var editor = ace.edit("editor");
    // 设置语言
    editor.getSession().setMode("ace/mode/html");
    // 设置主题
    editor.setTheme("ace/theme/monokai");
    editor.setAutoScrollEditorIntoView(true);
    // 其他配置
    editor.setOptions({
        showPrintMargin: true // 不显示打印边距
    });

    $(document).ready(function() {
        var fileId = '';
        var changeIframeUrl = function() {
            appearance_id = $('select[name="appearance_id"]').val();
            dist_id = $('input[name="dist_id"]').val();
            var iframeUrl = '/prime-control/dist-template-var?templateId=' + fileId + '&appearanceId=' + appearance_id+'&distId=' + dist_id;
            $('#iframeModal iframe').attr('src', iframeUrl);
        }
        //中间的Ace编辑器,内容展示
        var actionclick = function() {
            $('.file-action').click(function() {
                var loadingIndex = layer.load(1, {
                    shade: [0.5, '#000'] // 设置遮罩层
                });

                fileId = $(this).attr('file_id');
                //改变iframe的url
                changeIframeUrl();
                //编辑代码
                $.ajax({
                    url: '/prime-control/dist-template/ace',
                    type: 'POST',
                    data: {
                        act:'content',
                        id: fileId
                    },
                    success: function(response) {
                        $("#template_id").val(fileId);
                        editor.setValue(response);
                        layer.close(loadingIndex);
                    }
                });

            });
        }
        // 加载代码树
        var postData = function () {
            var appearance_id = $('select[name="appearance_id"]').val();
            var dist_id = $('input[name="dist_id"]').val();
            //改变iframe的url
            changeIframeUrl();
            $.ajax({
                url: '/prime-control/dist-template/ace',
                type: 'POST',
                data: {
                    act:'tree',
                    appearance_id: appearance_id,
                    dist_id: dist_id
                },
                success: function(response) {
                    $('.card-body').html(response);
                    actionclick();
                }
            });
        }
        //左边外观选择与分销商选择联动
        $('select[name="appearance_id"]').change(function() {
            postData();
        });
        $('input[name="dist_id"]').change(function() {
            postData();
        });
        // 模版编辑保存
        $("#save-btn").click(function() {
            var template_id = $("#template_id").val();
            var content = editor.getValue();
            if (template_id == '') {
                Dcat.error('操作失败:请先选择模板');
                return false;
            }
            $.ajax({
                url: '/prime-control/dist-template/ace',
                type: 'POST',
                data: {
                    act:'content_save',
                    template_id: template_id,
                    content: content
                },
                success: function(response) {
                    if (response == '1') {
                        Dcat.success('保存成功');
                    }else{
                        Dcat.error('保存失败');
                    }
                }
            });
        })
    });
</script>


